
{% macro result_table(results, extended_results=false, display_patient=true) %}
<div class="filterable">
<table class="large-12 columns result-list clearfix">
  <input class="search" placeholder="{{ _('Search') }}" />
  <thead>
    <tr>
        {% if display_patient %}
        <th>{{ _("coach_dashboard.list.client_label") }}</th>
        {% endif %}
        <th>{{ _("coach_dashboard.list.survey_label") }}</th>
        <th>{{ _("coach_dashboard.list.date_label") }}</th>
        <th>{{ _("coach_dashboard.list.status_label") }}</th>
    </tr>
  </thead>
  <tbody class="list">
    {% for result in results %}
    <tr>
        {% if display_patient %}
        <td><a class="name" href={{ url('account:patient_edit', result.user.patient_profile.pk) }}> {{ result.user }}</a></td>
        {% endif %}
        <td>{{ result.survey }}</td>
        <td>{{ result.modification_date|datetime }}</td>
        <td>
            {% set score = result.score %}
            {% if result.status == 'complete' and score %}
                {% if extended_results %}
                <button>{{ _("coach_dashboard.list.view") }}</button>
                <ul>
                    <li>
                        <a href="{{ url('analyzer:1d', score.id) }}">
                            {{ _("coach_dashboard.list.results.1d.simple") }}
                        </a>
                        <a href="{{ url('analyzer:1d_pdf', score.pk) }}" title="{{ _('Print') }}">
                            {{ _("print") }} {{ _("coach_dashboard.list.results.1d.simple") }}
                        </a>
                    </li>
                    <li>
                        <a href="{{ url('analyzer:2d', score.pk) }}">
                            {{ _("coach_dashboard.list.results.2d") }}
                        </a>
                        <a href="{{ url('analyzer:2d_pdf', score.pk) }}" title="{{ _('Print') }}">
                            {{ _("Print") }} {{ _("coach_dashboard.list.results.2d") }}
                        </a>
                    </li>
                    <li>
                        <a href="{{ url('analyzer:3d', score.pk) }}">
                            {{ _("coach_dashboard.list.results.3d") }}
                        </a>
                        <a href="{{ url('analyzer:3d_pdf', score.pk) }}" title="{{ _('Print') }}">
                            {{ _("Print") }} {{ _("coach_dashboard.list.results.3d") }}
                        </a>
                    </li>
                </ul>
                {% else %}
                <a href="{{ url('analyzer:summary', score.pk) }}">{{ _("coach_dashboard.list.view") }}</a>
                {% endif %}
            {% else %}
            {{ _(result.status) }}
            {% endif %}
        </td>
        </a>
    </tr>
    {% endfor %}
  </tbody>
</table>
</div>
{% endmacro %}
